BarGraph
Keywords: com.representqueens.spark.BarGraph class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.representqueens.spark
Class BarGraph

    java.lang.Object
      com.representqueens.spark.BarGraph

    public class BarGraph

extends java.lang.Object

Bargraph generation.

Field Summary
`static java.awt.Color` | `DEFAULT_COLOR`
`static int` | `DEFAULT_HEIGHT`
`static java.awt.Color` | `DEFAULT_HIGH_COLOR`
`static java.awt.Color` | `DEFAULT_LAST_COLOR`
`static SizeParams` | `DEFAULT_SIZE`
`static int` | `DEFAULT_SPACING`
`static int` | `DEFAULT_WIDTH`

Constructor Summary
`BarGraph()`

Method Summary
`static java.awt.image.BufferedImage` | `createGraph(java.lang.Number[] data)` Create a Bargraph from an array of numbers, using default colors and sizes.
`static java.awt.image.BufferedImage` | `createGraph(java.lang.Number[] data, SizeParams size, java.awt.Color color, java.awt.Color highColor, java.awt.Color lastColor)` Create a Bargraph.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_WIDTH

    public static final int DEFAULT_WIDTH

See Also:
  Constant Field Values

### DEFAULT_HEIGHT

    public static final int DEFAULT_HEIGHT

See Also:
  Constant Field Values

### DEFAULT_SPACING

    public static final int DEFAULT_SPACING

See Also:
  Constant Field Values

### DEFAULT_SIZE

    public static final SizeParams DEFAULT_SIZE

### DEFAULT_COLOR

    public static final java.awt.Color DEFAULT_COLOR

### DEFAULT_HIGH_COLOR

    public static final java.awt.Color DEFAULT_HIGH_COLOR

### DEFAULT_LAST_COLOR

    public static final java.awt.Color DEFAULT_LAST_COLOR

Constructor Detail

### BarGraph

    public BarGraph()

Method Detail

### createGraph

    public static java.awt.image.BufferedImage createGraph(java.lang.Number[] data)

  Create a Bargraph from an array of numbers, using default colors and sizes.

  Parameters:
    `data` - Array of Number Objects.
  Returns:
    BufferedImage containing a Bargraph of data.

### createGraph

    public static java.awt.image.BufferedImage createGraph(java.lang.Number[] data,
                                                           SizeParams size,
                                                           java.awt.Color color,
                                                           java.awt.Color highColor,
                                                           java.awt.Color lastColor)

  Create a Bargraph.

  Parameters:
    `data` - Array of Number Objects to graph.
    `size` - SizeParams specifying graph size attributes.
    `color` - main graph color
    `highColor` - color for above average data points (or null).
    `lastColor` - color for last data point (or null).
  Returns:
    BufferedImage containing a Bargraph of data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD